Bug 970777 - new yum importer looks for non-existent CLI option
Summary: new yum importer looks for non-existent CLI option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support   
(Show other bugs)
Version: 2.2
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.2.0
Assignee: Michael Hrivnak
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 20:56 UTC by Michael Hrivnak
Modified: 2013-09-10 15:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 15:46:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Hrivnak 2013-06-04 20:56:16 UTC
The importer is looking for a value for the --copy-children option during a copy operation, but that option is no longer present in the CLI.

Comment 1 Michael Hrivnak 2013-06-04 21:16:49 UTC
https://github.com/pulp/pulp_rpm/pull/221

Comment 2 Jeff Ortel 2013-06-11 14:16:09 UTC
build: 2.2.0-0.3.beta

Comment 3 Michael Hrivnak 2013-06-11 14:56:51 UTC
Preethi, I'm not sure there's much you can do to verify this except make sure the --recursive option is working as you would expect. The former behavior of the --copy-children option is taken care of by --recursive.

Comment 4 Preethi Thomas 2013-06-19 18:46:07 UTC
verified
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 

  
[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo copy errata -f rhel6-2 -t rhel-copy --recursive
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

Comment 5 Preethi Thomas 2013-09-10 15:46:16 UTC
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/


Note You need to log in before you can comment on or make changes to this bug.